Name:			hostapd
Version:		2.6
%define subrel		1
Release:		%mkrel 1
URL:			http://hostap.epitest.fi/hostapd/
Group:			System/Servers
Source0:		http://hostap.epitest.fi/releases/%{name}-%{version}.tar.gz
Source1:		%{name}.init
Source3:		%{name}.service
Patch0:			%{name}-config.patch
Patch1:			hostapd-2.5-mga-defconfig.patch
# CVE-2017-130[77-82, 86-88]
Patch2:			rebased-v2.6-0001-hostapd-Avoid-key-reinstallation-in-FT-handshake.patch
Patch3:			rebased-v2.6-0002-Prevent-reinstallation-of-an-already-in-use-group-ke.patch
Patch4:			rebased-v2.6-0003-Extend-protection-of-GTK-IGTK-reinstallation-of-WNM-.patch
Patch5:			rebased-v2.6-0004-Prevent-installation-of-an-all-zero-TK.patch
Patch6:			rebased-v2.6-0005-Fix-PTK-rekeying-to-generate-a-new-ANonce.patch
Patch7:			rebased-v2.6-0006-TDLS-Reject-TPK-TK-reconfiguration.patch
# wpa_supplicant only
#Patch8:			rebased-v2.6-0007-WNM-Ignore-WNM-Sleep-Mode-Response-without-pending-r.patch
Patch9:			rebased-v2.6-0008-FT-Do-not-allow-multiple-Reassociation-Response-fram.patch

Summary:		Optional user space component for Host AP driver
License:		GPL
BuildRequires:		pkgconfig(openssl)
BuildRequires:		libnl3-devel
Requires(post): 	rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1
BuildRequires:		systemd-units
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
Hostapd is an optional user space component for Host AP driver. It adds
more features to the basic IEEE 802.11 management included in the kernel
driver: using external RADIUS authentication server for MAC address
based access control, IEEE 802.1X Authenticator and dynamic WEP keying,
RADIUS accounting.

%prep
%setup -q
%autopatch -p1

%build
pushd %{name}
cat defconfig | sed \
    -e '/^#CONFIG_DRIVER_NONE=y/s/^#//' \
    -e '/^#CONFIG_IEEE80211R=y/s/^#//' \
    -e '/^#CONFIG_IEEE80211AC=y/s/^#//' \
    -e '/^#CONFIG_FULL_DYNAMIC_VLAN=y/s/^#//' \
    -e '/^#CONFIG_LIBNL32=y/s/^#//' \
    > .config
echo "CFLAGS += -I%{_includedir}/libnl3" >> .config
echo "LIBS += -L%{_libdir}" >> .config
%{__perl} -pi -e 's/CFLAGS =.*/CFLAGS = -MMD %{optflags}/' Makefile
%{__make} CC="%{__cc}" #CFLAGS="-MMD %{optflags}"
popd

%install
pushd %{name}
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}%{_unitdir}
install -m 755 %{name}        %{buildroot}%{_sbindir}
install -m 755 %{name}_cli    %{buildroot}%{_sbindir}
install -m 600 %{name}.conf   %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.accept %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.deny   %{buildroot}%{_sysconfdir}/%{name}
install -pm 644 %{SOURCE3}   %{buildroot}/%{_unitdir}/%{name}.service
popd

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc %{name}/ChangeLog %{name}/README
%{_sbindir}/%{name}
%{_sbindir}/%{name}_cli
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.accept
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.deny
%config(noreplace) %{_unitdir}/%{name}.service


%changelog
* Tue Oct 17 2017 tmb <tmb> 2.6-1.1.mga6
+ Revision: 1172355
- fix CVE-2017-130[77-82, 86-88] (mga#21879)

* Fri Nov 11 2016 luigiwalser <luigiwalser> 2.6-1.mga6
+ Revision: 1066614
- 2.6

* Wed Mar 02 2016 umeabot <umeabot> 2.5-3.mga6
+ Revision: 983470
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 2.5-2.mga6
+ Revision: 954321
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 tmb <tmb> 2.5-1.mga6
+ Revision: 890279
- rebase P2, drop P10 (obsolete)
- drop merged patches
- update to 2.5 (CVE-2015-414[1-5])

* Thu May 07 2015 luigiwalser <luigiwalser> 2.3-3.mga5
+ Revision: 821406
- upstream patch added to fix upstream advisory 2015-3

* Wed Oct 15 2014 umeabot <umeabot> 2.3-2.mga5
+ Revision: 749298
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 2.3-1.mga5
+ Revision: 737794
- 2.3
- build with libnl3
- rebase config on upstream config

* Tue Sep 16 2014 umeabot <umeabot> 2.2-2.mga5
+ Revision: 680159
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 pterjan <pterjan> 2.2-1.mga5
+ Revision: 640955
- 2.2

* Sat Oct 19 2013 umeabot <umeabot> 2.0-2.mga4
+ Revision: 535057
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 2.0-1.mga4
+ Revision: 480869
- new version 2.0

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 353276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.1-1.mga3
+ Revision: 339754
- 1.1

* Tue Oct 09 2012 luigiwalser <luigiwalser> 1.0-2.mga3
+ Revision: 303910
- add upstream patch to fix CVE-2012-4445
- tighten up default permissions on hostapd.conf (fix CVE-2012-2389)

* Mon Jun 11 2012 cjw <cjw> 1.0-1.mga3
+ Revision: 259859
- new version 1.0
- disable madwifi driver since it does not build with current userspace kernel headers
- update build config (enables 802.11n support)

* Sat Apr 28 2012 tmb <tmb> 0.7.3-4.mga2
+ Revision: 233727
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Feb 29 2012 dmorgan <dmorgan> 0.7.3-3.mga2
+ Revision: 215950
- Migrate to systemd ( Fedora)

* Thu Apr 21 2011 cjw <cjw> 0.7.3-2.mga1
+ Revision: 89339
- imported package hostapd

